summaryrefslogtreecommitdiffstats
path: root/scripts/zpool-config/dragon-raid10-35x2.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/zpool-config/dragon-raid10-35x2.sh')
-rw-r--r--scripts/zpool-config/dragon-raid10-35x2.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/scripts/zpool-config/dragon-raid10-35x2.sh b/scripts/zpool-config/dragon-raid10-35x2.sh
new file mode 100644
index 000000000..37f2a539a
--- /dev/null
+++ b/scripts/zpool-config/dragon-raid10-35x2.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+#
+# Dragon (White Box) Raid-10 Configuration (35x2(1+1))
+#
+
+RANKS=7
+CHANNELS=10
+
+zpool_create() {
+ udev_setup ${ETCDIR}/zfs/zdev.conf.dragon.example
+ udev_raid10_setup ${RANKS} ${CHANNELS}
+
+ msg ${ZPOOL} create ${FORCE_FLAG} ${ZPOOL_NAME} ${RAID10S[*]}
+ ${ZPOOL} create ${FORCE_FLAG} ${ZPOOL_NAME} ${RAID10S[*]} || exit 1
+}
+
+zpool_destroy() {
+ msg ${ZPOOL} destroy ${ZPOOL_NAME}
+ ${ZPOOL} destroy ${ZPOOL_NAME}
+ udev_cleanup ${ETCDIR}/zfs/zdev.conf.dragon.example
+}